unit Unit1; 

{$mode Delphi}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls,
  Graphics, Dialogs, ExtCtrls, TextViewer, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
     VertScrollBar: TScrollBar;
     procedure FormCreate(Sender: TObject);
     procedure FormDestroy(Sender: TObject);
     procedure FormPaint(Sender: TObject);
     procedure FormResize(Sender: TObject);
     procedure VertScrollBarScroll(Sender: TObject; ScrollCode: TScrollCode;
        var ScrollPos: Integer);
  private
    { private declarations }
     TextViewer: TTextViewer;
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
Var
   Dir: AnsiString;
begin
   TextViewer:=TTextViewer.Create(Form1,VertScrollBar);
   Dir:=ExtractFileDir(Application.ExeName) + '/';
   TextViewer.Load(Dir + 'Test.txt');
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
   TextViewer.Free;
end;

procedure TForm1.FormPaint(Sender: TObject);
begin
   TextViewer.PrintPage;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
   TextViewer.SetupScrollBars;
end;

procedure TForm1.VertScrollBarScroll(Sender: TObject;
   ScrollCode: TScrollCode; var ScrollPos: Integer);
begin
   TextViewer.Scroll(Sender,ScrollCode,ScrollPos);
end;

initialization
  {$I unit1.lrs}

end.

